"""
@author: luojunhui
"""
import json

import requests

ARTICLE_URL = {
    "gh_b181786a6c8c": {
        "title": "武汉一女教师，新婚不久怀孕，孩子出生后，丈夫竟脸色大变，扭头就走再也没回来",
        "coverUrl": "https://mmbiz.qpic.cn/sz_mmbiz_jpg/ibXsPafGBbCFrvlLcKoAg0tLelW3dwC9A8jXibxfuy57smOv3f1qPrteWUBh0yXbIgxu3CHmicq7BvTBYZztUBK4g/640?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "在一个美丽的夏天，武汉一家幼儿师范学校的女教师邹翃燕与她相恋多年的男友正式结婚，并在蜜月期间怀孕。对于即将到来的新生命，夫妻二人充满了期待。然而，幸福的表面下，却暗藏着即将爆发的危机。",
        "msgType": 2,
        "miniVideoId": None,
        "newsUrl": "https://mp.weixin.qq.com/s/yjR5Ss-lvCQbHRSjOSwdKg"
    },
    "gh_68e7fdc09fe4": {
        "title": "吉林大爷挖地窖突遇毒蛇，正要挥锄头猛砸，却发现毒蛇一动不动，仔细一看愣住了",
        "coverUrl": "https://mmbiz.qpic.cn/sz_mmbiz_png/Y3FEhQujOMcTHVRPOlMHfGgvVrCemtOyv0k2R4LvacEFGvicNU7WKbllJXGzUCLNcp31XViayxSAgHYPy6qI2kvg/640?wx_fmt=png&amp;from=appmsg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "吉林古村落的一个凛冽寒冬清晨，老王爷挑着锄头，准备去后山的一块地里挖地窖，以储备粮食过冬。天空阴沉，冷风凛冽。",
        "msgType": 2,
        "miniVideoId": None,
        "newsUrl": "https://mp.weixin.qq.com/s/ux7IkSPfWkAzxS5BUl0VvQ"
    },
    "gh_93e00e187787": {
        "newsUrl": "https://mp.weixin.qq.com/s/S-FnWkfLtujv19HDRchhDA",
        "title": "她曾狂贪国家上百亿，被发现时已经移居美国，最终还风光一时得善终",
        "coverUrl": "https://mmbiz.qpic.cn/sz_mmbiz_jpg/GVjtHunwBtwOdWkIBXV98Y6I2w7zuIxSg56GC0PPL4cCpWMxY6JUeibhvqgcD0Or2XwH4nvSwhf0auD0UtibQbxQ/0?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "伊梅尔达·马科斯，这位曾经的菲律宾第一夫人，以其传奇般的经历和备受争议的生活方式，成为了菲律宾历史上一个不可忽视的人物。从一个贫困的女孩到国家权力中心的核心人物，她的人生充满了戏剧性和复杂性。",
        "msgType": 2,
        "miniVideoId": None,
    },
    "gh_ac43e43b253b": {
        "newsUrl": "https://mp.weixin.qq.com/s/yymgs_gkJzq77z3E_ovmXw",
        "title": "她曾狂贪国家上百亿，被发现时已经移居美国，最终还风光一时得善终",
        "coverUrl": "https://mmbiz.qpic.cn/sz_mmbiz_jpg/GVjtHunwBtwOdWkIBXV98Y6I2w7zuIxSg56GC0PPL4cCpWMxY6JUeibhvqgcD0Or2XwH4nvSwhf0auD0UtibQbxQ/0?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "伊梅尔达·马科斯，这位曾经的菲律宾第一夫人，以其传奇般的经历和备受争议的生活方式，成为了菲律宾历史上一个不可忽视的人物。从一个贫困的女孩到国家权力中心的核心人物，她的人生充满了戏剧性和复杂性。",
        "msgType": 2,
        "miniVideoId": None,
    },
    "gh_77f36c109fb1": {
        "newsUrl": "https://mp.weixin.qq.com/s/h9SmWlV_zc7Kb-b_kBaRrg",
        "title": "她曾狂贪国家上百亿，被发现时已经移居美国，最终还风光一时得善终",
        "coverUrl": "https://mmbiz.qpic.cn/sz_mmbiz_jpg/GVjtHunwBtwOdWkIBXV98Y6I2w7zuIxSg56GC0PPL4cCpWMxY6JUeibhvqgcD0Or2XwH4nvSwhf0auD0UtibQbxQ/0?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "伊梅尔达·马科斯，这位曾经的菲律宾第一夫人，以其传奇般的经历和备受争议的生活方式，成为了菲律宾历史上一个不可忽视的人物。从一个贫困的女孩到国家权力中心的核心人物，她的人生充满了戏剧性和复杂性。",
        "msgType": 2,
        "miniVideoId": None,
    },
    "gh_1ee2e1b39ccf": {
        "newsUrl": "https://mp.weixin.qq.com/s/KT1R7BlnKssNETCAOmo-Iw",
        "title": "上海第一批女光棍进了养老院，如今的生活再次印证了费翔所说的话",
        "coverUrl": "https://mmbiz.qpic.cn/mmbiz_jpg/3KjSicS7TR1CnuV8biapgTkw9PbmDqpPpJ5Xia4YtSPpbso4yplxrzurKLCgoIcOL09dEJZ87RUgic2uica1D40qFkQ/640?wx_fmt=jpeg&quot",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "随着社会的不断发展，越来越多的人开始重新审视婚姻的意义与价值。尤其是在经济发达的大城市，诸如上海，许多女性选择了不婚的生活方式。",
        "msgType": 2,
        "miniVideoId": None
    },
    "gh_d3f039c9db2b": {
        "newsUrl": "https://mp.weixin.qq.com/s/KiKeKyZ65tMhBNbKnIrB7g",
        "title": "孙中山和宋庆铃的一张真实合影！真是太美了，注意看宋庆龄的鞋子",
        "coverUrl": "https://mmbiz.qpic.cn/mmbiz_jpg/NsW3mRgdmsjOzxnAnV5AJ2C1ZGInEaZppglccorr9icnfzrquO0kYmiaVPLBZDI3Wo98q05jXlsZncIIIxdOdkOg/640?wx_fmt=jpeg&quot",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "孙中山和宋庆龄是中国近代史上备受瞩目的历史人物，他们不仅在政治领域有着深远的影响，也因其特殊的个人关系而广为人知。",
        "msgType": 2,
        "miniVideoId": None
    },
    "gh_971e23b9ecc4": {
        "newsUrl": "https://mp.weixin.qq.com/s/NId0EvFXqfiEI1JF7dezKw",
        "title": "58岁大姐每天吃一把南瓜子，半年后去体检，医生：吃了些啥",
        "coverUrl": "https://mmbiz.qpic.cn/mmbiz_jpg/8Lo774o4SbjCg86tQox8PqsJRzVljKwXnoSpIPjIZAIbKJX3lotOImNiaCde0NA8iaogob0hyzVyZOB9OrmW2zfQ/0?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "58岁的李阿姨是一位活跃在社区的志愿者，她的热心和活力一直是社区活动的中坚力量。然而，随着岁月的流逝，李阿姨渐渐感到力不从心",
        "msgType": 2,
        "miniVideoId": None
    },
    "gh_3d4827387bfc": {
        "newsUrl": "https://mp.weixin.qq.com/s/Yw8q84iA3WPDzayjfrGK4w",
        "title": "山东24岁“爬行女孩”，嫁46岁农村光棍，不听劝连生两娃，如今过得如何？",
        "coverUrl": "https://mmbiz.qpic.cn/mmbiz_jpg/DiaVyXgGAftvicjZJCMDYD87OdlRibEqqwFhSWFMPujyQFb56ox2BWbP96QKia4VJ16iaPNBWLTkJoaqCQCvnSFiaSGg/0?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "积极乐观的人像太阳，笑起来灿烂，具有很强的吸引力，让人不自觉地想靠近。无论生活多么艰难，他们总能以阳光的心态面对一切。就像《春色寄情人》中的庄洁，她以高情商和强大的营销能力赢得了观众的喜爱",
        "msgType": 2,
        "miniVideoId": None
    },
    "gh_4e4ddaebefb5": {
        "newsUrl": "https://mp.weixin.qq.com/s/ybgZ7hTXWDr-EuQ6KK9QdQ",
        "title": "她曾狂贪国家上百亿，被发现时已经移居美国，最终还风光一时得善终",
        "coverUrl": "https://mmbiz.qpic.cn/sz_mmbiz_jpg/GVjtHunwBtwOdWkIBXV98Y6I2w7zuIxSg56GC0PPL4cCpWMxY6JUeibhvqgcD0Or2XwH4nvSwhf0auD0UtibQbxQ/0?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "伊梅尔达·马科斯，这位曾经的菲律宾第一夫人，以其传奇般的经历和备受争议的生活方式，成为了菲律宾历史上一个不可忽视的人物。从一个贫困的女孩到国家权力中心的核心人物，她的人生充满了戏剧性和复杂性。",
        "msgType": 2,
        "miniVideoId": None
    },
    "gh_b7d21af60069": {
        "newsUrl": "https://mp.weixin.qq.com/s/HHXYyu0EiK5dk964tbxnRg",
        "title": "她曾狂贪国家上百亿，被发现时已经移居美国，最终还风光一时得善终",
        "coverUrl": "https://mmbiz.qpic.cn/sz_mmbiz_jpg/GVjtHunwBtwOdWkIBXV98Y6I2w7zuIxSg56GC0PPL4cCpWMxY6JUeibhvqgcD0Or2XwH4nvSwhf0auD0UtibQbxQ/0?wx_fmt=jpeg",
        "miniAppId": "",
        "miniPagePath": "",
        "newsDescription": "伊梅尔达·马科斯，这位曾经的菲律宾第一夫人，以其传奇般的经历和备受争议的生活方式，成为了菲律宾历史上一个不可忽视的人物。",
        "msgType": 2,
        "miniVideoId": None
    }
}

ACCOUNT_VIDEO = {
    "gh_93e00e187787": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26shareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26rootSourceId%3Dtouliu_tencentgzh_20240909_13724870_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20463342",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20463342%26su%3D66857951%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_93e00e187787_c6fa160eead7e53bcf2fb783f0369b9e"
                }
            ]
        },
        {
            "groupIndex": 1,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26shareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26rootSourceId%3Dtouliu_tencentgzh_20240909_13724870_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20463342",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20463342%26su%3D66857951%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_93e00e187787_c6fa160eead7e53bcf2fb783f0369b9e"
                }
            ]
        },
        {
            "groupIndex": 2,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26shareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26rootSourceId%3Dtouliu_tencentgzh_20240909_13724870_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20463342",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20463342%26su%3D66857951%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_93e00e187787_c6fa160eead7e53bcf2fb783f0369b9e"
                }
            ]
        },
        {
            "groupIndex": 3,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26shareId%3Dcadfd934-f3ad-4266-812f-7a693bf079e8%26rootSourceId%3Dtouliu_tencentgzh_20240909_13724870_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20463342",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20463342%26su%3D66857951%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_93e00e187787_c6fa160eead7e53bcf2fb783f0369b9e"
                }
            ]
        },
        {
            "groupIndex": 4,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13817005",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13817005%26su%3D3087312%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_93e00e187787_4c4b5ce43d988f7cb524b4dff8c01b9f"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D4135f63d-a35b-4081-e012-744d85426dd5%26shareId%3D4135f63d-a35b-4081-e012-744d85426dd5%26rootSourceId%3Dtouliu_tencentgzh_20240911_26348326_1"
                }
            ]
        }
    ],
    "gh_ac43e43b253b": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "23177732",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23177732%26fromGzh%3D1%26rootShareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26shareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26rootSourceId%3Dtouliu_tencentgzh_20240812_23177732_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "23231548",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23231548%26fromGzh%3D1%26rootShareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26shareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26rootSourceId%3Dtouliu_tencentgzh_20240812_23231548_1"
                }
            ]
        },
        {
            "groupIndex": 1,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "23177732",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23177732%26fromGzh%3D1%26rootShareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26shareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26rootSourceId%3Dtouliu_tencentgzh_20240812_23177732_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "23231548",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23231548%26fromGzh%3D1%26rootShareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26shareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26rootSourceId%3Dtouliu_tencentgzh_20240812_23231548_1"
                }
            ]
        },
        {
            "groupIndex": 2,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "23177732",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23177732%26fromGzh%3D1%26rootShareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26shareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26rootSourceId%3Dtouliu_tencentgzh_20240812_23177732_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "23231548",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23231548%26fromGzh%3D1%26rootShareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26shareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26rootSourceId%3Dtouliu_tencentgzh_20240812_23231548_1"
                }
            ]
        },
        {
            "groupIndex": 3,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "23177732",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23177732%26fromGzh%3D1%26rootShareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26shareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26rootSourceId%3Dtouliu_tencentgzh_20240812_23177732_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "23231548",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23231548%26fromGzh%3D1%26rootShareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26shareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26rootSourceId%3Dtouliu_tencentgzh_20240812_23231548_1"
                }
            ]
        },
        {
            "groupIndex": 4,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "23177732",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23177732%26fromGzh%3D1%26rootShareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26shareId%3D13315928-351b-44f5-c7b9-c8734235df9c%26rootSourceId%3Dtouliu_tencentgzh_20240812_23177732_1"
                },
                {
                    "videoIndex": 2,
                    "videoId": "23231548",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D23231548%26fromGzh%3D1%26rootShareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26shareId%3Da7cfdbcb-43d6-4c6c-cd4c-aafc6e979426%26rootSourceId%3Dtouliu_tencentgzh_20240812_23231548_1"
                }
            ]
        }
    ],
    "gh_68e7fdc09fe4": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "15527307",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D15527307%26fromGzh%3D1%26rootShareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26shareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26rootSourceId%3Dtouliu_tencentgzh_20240927_15527307_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D616c3fe4-5dd8-4d2a-9567-4e14d344773d%26shareId%3D616c3fe4-5dd8-4d2a-9567-4e14d344773d%26rootSourceId%3Dtouliu_tencentgzh_20240924_26348326_1"
                }
            ]
        },
        {
            "groupIndex": 1,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "15527307",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D15527307%26fromGzh%3D1%26rootShareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26shareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26rootSourceId%3Dtouliu_tencentgzh_20240927_15527307_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "12794884",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12794884%26fromGzh%3D1%26rootShareId%3D9f1851c8-c663-461f-bfc5-5fbe611289b2%26shareId%3D9f1851c8-c663-461f-bfc5-5fbe611289b2%26rootSourceId%3Dtouliu_tencentgzh_20241020_12794884_1516c852"
                }
            ]
        },
        {
            "groupIndex": 2,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "15527307",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D15527307%26fromGzh%3D1%26rootShareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26shareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26rootSourceId%3Dtouliu_tencentgzh_20240927_15527307_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "12794884",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12794884%26fromGzh%3D1%26rootShareId%3D9f1851c8-c663-461f-bfc5-5fbe611289b2%26shareId%3D9f1851c8-c663-461f-bfc5-5fbe611289b2%26rootSourceId%3Dtouliu_tencentgzh_20241020_12794884_1516c852"
                }
            ]
        },
        {
            "groupIndex": 3,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "15527307",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D15527307%26fromGzh%3D1%26rootShareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26shareId%3Da9c0837d-ffc1-47a4-8150-36cc3bada3b7%26rootSourceId%3Dtouliu_tencentgzh_20240927_15527307_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "12794884",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12794884%26fromGzh%3D1%26rootShareId%3D9f1851c8-c663-461f-bfc5-5fbe611289b2%26shareId%3D9f1851c8-c663-461f-bfc5-5fbe611289b2%26rootSourceId%3Dtouliu_tencentgzh_20241020_12794884_1516c852"
                }
            ]
        },
        {
            "groupIndex": 4,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "1275943",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D1275943%26su%3D6457928%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_68e7fdc09fe4_87aa757fa00fd1d9d1b77a3d93fd0d95"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D616c3fe4-5dd8-4d2a-9567-4e14d344773d%26shareId%3D616c3fe4-5dd8-4d2a-9567-4e14d344773d%26rootSourceId%3Dtouliu_tencentgzh_20240924_26348326_1"
                }
            ]
        }
    ],
    "gh_77f36c109fb1": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "20463342",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20463342%26su%3D66857951%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_77f36c109fb1_93c9eae581f8f26ecd3fb4348e8a3c42"
                },
                {
                    "videoIndex": 2,
                    "videoId": "12794884",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12794884%26fromGzh%3D1%26rootShareId%3D7e3482bf-0ee2-493c-8857-b603dbd8c19f%26shareId%3D7e3482bf-0ee2-493c-8857-b603dbd8c19f%26rootSourceId%3Dtouliu_tencentgzh_20241012_12794884_6"
                }
            ]
        },
        {
            "groupIndex": 1,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "20463342",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20463342%26su%3D66857951%26fromGzh%3D1%26index%3D1%26publishType%3D1%26rootSourceId%3DGzhTouLiu_Articles_gh_77f36c109fb1_93c9eae581f8f26ecd3fb4348e8a3c42"
                },
                {
                    "videoIndex": 2,
                    "videoId": "12794884",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12794884%26fromGzh%3D1%26rootShareId%3D7e3482bf-0ee2-493c-8857-b603dbd8c19f%26shareId%3D7e3482bf-0ee2-493c-8857-b603dbd8c19f%26rootSourceId%3Dtouliu_tencentgzh_20241012_12794884_6"
                }
            ]
        },
        {
            "groupIndex": 2,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "12177006",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12177006%26fromGzh%3D1%26rootShareId%3Db65f7dcd-a048-4f2d-bffd-b19d78d3e369%26shareId%3Db65f7dcd-a048-4f2d-bffd-b19d78d3e369%26rootSourceId%3Dtouliu_tencentgzh_20241011_12177006_4"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20657746",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20657746%26fromGzh%3D1%26rootShareId%3D955afc67-1424-4e0c-9ef7-a15da2dc5b85%26shareId%3D955afc67-1424-4e0c-9ef7-a15da2dc5b85%26rootSourceId%3Dtouliu_tencentgzh_20241025_20657746_afb516f7"
                }
            ]
        },
        {
            "groupIndex": 3,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "12177006",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12177006%26fromGzh%3D1%26rootShareId%3Db65f7dcd-a048-4f2d-bffd-b19d78d3e369%26shareId%3Db65f7dcd-a048-4f2d-bffd-b19d78d3e369%26rootSourceId%3Dtouliu_tencentgzh_20241011_12177006_4"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20657746",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20657746%26fromGzh%3D1%26rootShareId%3D955afc67-1424-4e0c-9ef7-a15da2dc5b85%26shareId%3D955afc67-1424-4e0c-9ef7-a15da2dc5b85%26rootSourceId%3Dtouliu_tencentgzh_20241025_20657746_afb516f7"
                }
            ]
        },
        {
            "groupIndex": 4,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "12177006",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12177006%26fromGzh%3D1%26rootShareId%3Db65f7dcd-a048-4f2d-bffd-b19d78d3e369%26shareId%3Db65f7dcd-a048-4f2d-bffd-b19d78d3e369%26rootSourceId%3Dtouliu_tencentgzh_20241011_12177006_4"
                },
                {
                    "videoIndex": 2,
                    "videoId": "12028615",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12028615%26fromGzh%3D1%26rootShareId%3D67720b37-0553-4332-9455-370c7fb72b6c%26shareId%3D67720b37-0553-4332-9455-370c7fb72b6c%26rootSourceId%3Dtouliu_tencentgzh_20241025_12028615_d2b55a5c"
                }
            ]
        }
    ],
    "gh_b181786a6c8c": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13817005",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13817005%26fromGzh%3D1%26rootShareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26shareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26rootSourceId%3Dtouliu_tencentgzh_20240925_13817005_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20657746",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20657746%26fromGzh%3D1%26rootShareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26shareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26rootSourceId%3Dtouliu_tencentgzh_20240731_20657746_1"
                }
            ]
        },
        {
            "groupIndex": 1,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13817005",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13817005%26fromGzh%3D1%26rootShareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26shareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26rootSourceId%3Dtouliu_tencentgzh_20240925_13817005_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20657746",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20657746%26fromGzh%3D1%26rootShareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26shareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26rootSourceId%3Dtouliu_tencentgzh_20240731_20657746_1"
                }
            ]
        },
        {
            "groupIndex": 2,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13817005",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13817005%26fromGzh%3D1%26rootShareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26shareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26rootSourceId%3Dtouliu_tencentgzh_20240925_13817005_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20657746",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20657746%26fromGzh%3D1%26rootShareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26shareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26rootSourceId%3Dtouliu_tencentgzh_20240731_20657746_1"
                }
            ]
        },
        {
            "groupIndex": 3,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13817005",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13817005%26fromGzh%3D1%26rootShareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26shareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26rootSourceId%3Dtouliu_tencentgzh_20240925_13817005_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20657746",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20657746%26fromGzh%3D1%26rootShareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26shareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26rootSourceId%3Dtouliu_tencentgzh_20240731_20657746_1"
                }
            ]
        },
        {
            "groupIndex": 4,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13817005",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13817005%26fromGzh%3D1%26rootShareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26shareId%3Dfd539b5c-8f28-49a9-c6dd-a9ecb57d8582%26rootSourceId%3Dtouliu_tencentgzh_20240925_13817005_2"
                },
                {
                    "videoIndex": 2,
                    "videoId": "20657746",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D20657746%26fromGzh%3D1%26rootShareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26shareId%3Df73b12db-d0d8-4af4-9935-f9888ce6b7bd%26rootSourceId%3Dtouliu_tencentgzh_20240731_20657746_1"
                }
            ]
        }
    ],
    "gh_1ee2e1b39ccf": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26shareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26rootSourceId%3Dtouliu_tencentgzh_20241008_13724870_7"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26shareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26rootSourceId%3Dtouliu_tencentgzh_20241008_26348326_1"
                }
            ]
        },
        {
            "groupIndex": 1,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26shareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26rootSourceId%3Dtouliu_tencentgzh_20241008_13724870_7"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26shareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26rootSourceId%3Dtouliu_tencentgzh_20241008_26348326_1"
                }
            ]
        },
        {
            "groupIndex": 2,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26shareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26rootSourceId%3Dtouliu_tencentgzh_20241008_13724870_7"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26shareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26rootSourceId%3Dtouliu_tencentgzh_20241008_26348326_1"
                }
            ]
        },
        {
            "groupIndex": 3,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26shareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26rootSourceId%3Dtouliu_tencentgzh_20241008_13724870_7"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26shareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26rootSourceId%3Dtouliu_tencentgzh_20241008_26348326_1"
                }
            ]
        },
        {
            "groupIndex": 4,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26shareId%3D0d8768d3-d325-4eb7-da0a-083eedeb729d%26rootSourceId%3Dtouliu_tencentgzh_20241008_13724870_7"
                },
                {
                    "videoIndex": 2,
                    "videoId": "26348326",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D26348326%26fromGzh%3D1%26rootShareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26shareId%3D21456cd7-8554-473c-8ad3-a7ea4b361071%26rootSourceId%3Dtouliu_tencentgzh_20241008_26348326_1"
                }
            ]
        }
    ],
    "gh_d3f039c9db2b": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "1275943",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D1275943%26fromGzh%3D1%26rootShareId%3D6c9858d5-2445-4ea5-cf6c-34c8dc189c6a%26shareId%3D6c9858d5-2445-4ea5-cf6c-34c8dc189c6a%26rootSourceId%3Dtouliu_tencentgzh_20241111_1275943_20474657"
                },
                {
                    "videoIndex": 2,
                    "videoId": "12794884",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D12794884%26fromGzh%3D1%26rootShareId%3D640cb363-8b6e-43be-d861-f366e1e8d6fb%26shareId%3D640cb363-8b6e-43be-d861-f366e1e8d6fb%26rootSourceId%3Dtouliu_tencentgzh_20241111_12794884_e53224ff"
                }
            ]
        }
    ],
    "gh_971e23b9ecc4": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Dc2994dc7-3651-49a7-98ce-13a8612f1a47%26shareId%3Dc2994dc7-3651-49a7-98ce-13a8612f1a47%26rootSourceId%3Dtouliu_tencentgzh_20241210_13724870_99080f13"
                },
                {
                    "videoIndex": 2,
                    "videoId": "1275943",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D1275943%26fromGzh%3D1%26rootShareId%3D2a39c2eb-62b4-4995-e27c-fbb191810926%26shareId%3D2a39c2eb-62b4-4995-e27c-fbb191810926%26rootSourceId%3Dtouliu_tencentgzh_20241210_1275943_737ca61d"
                }
            ]
        }
    ],
    "gh_3d4827387bfc": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Dcc7f2f5a-5fdf-4483-c0db-673c1385bc97%26shareId%3Dcc7f2f5a-5fdf-4483-c0db-673c1385bc97%26rootSourceId%3Dtouliu_tencentgzh_20241210_13724870_960c83cf"
                },
                {
                    "videoIndex": 2,
                    "videoId": "1275943",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D1275943%26fromGzh%3D1%26rootShareId%3D0267e8b6-eb2c-4a26-ad27-2482c6341aaa%26shareId%3D0267e8b6-eb2c-4a26-ad27-2482c6341aaa%26rootSourceId%3Dtouliu_tencentgzh_20241210_1275943_42e71d8c"
                }
            ]
        }
    ],
    "gh_4e4ddaebefb5": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Da0eab0f1-9424-472a-e78a-c2e84ce90fab%26shareId%3Da0eab0f1-9424-472a-e78a-c2e84ce90fab%26rootSourceId%3Ddaitou_tencentgzh_20241210_13724870_c8aaf4f0"
                },
                {
                    "videoIndex": 2,
                    "videoId": "1275943",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D1275943%26fromGzh%3D1%26rootShareId%3D7fc25c1a-3770-4f40-b05e-27f839ff9c96%26shareId%3D7fc25c1a-3770-4f40-b05e-27f839ff9c96%26rootSourceId%3Ddaitou_tencentgzh_20241210_1275943_09a45c56"
                }
            ]
        }
    ],
    "gh_b7d21af60069": [
        {
            "groupIndex": 0,
            "groupVideoList": [
                {
                    "videoIndex": 1,
                    "videoId": "13724870",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D13724870%26fromGzh%3D1%26rootShareId%3Dbdf0e45b-cc96-4201-de6a-5f3df335c86f%26shareId%3Dbdf0e45b-cc96-4201-de6a-5f3df335c86f%26rootSourceId%3Ddaitou_tencentgzh_20241212_13724870_8556985b"
                },
                {
                    "videoIndex": 2,
                    "videoId": "1275943",
                    "pagePath": "pages/category?jumpPage=pages%2Fuser-videos%3Fid%3D1275943%26fromGzh%3D1%26rootShareId%3D7f87a520-e838-4203-8988-346889be4573%26shareId%3D7f87a520-e838-4203-8988-346889be4573%26rootSourceId%3Ddaitou_tencentgzh_20241212_1275943_25be4f38"
                }
            ]
        }
    ]

}


def get_pq_video_detail(video_id):
    """
    获取票圈视频详情信息
    :return:
    """
    url = "https://longvideoapi.piaoquantv.com/longvideoapi/openapi/video/batchSelectVideoInfo"
    data = {
        "videoIdList": [video_id]
    }
    header = {
        "Content-Type": "application/json",
    }
    response = requests.post(url, json=data, headers=header)
    return response.json()


def generate_response(gh_id):
    """
    输入gh_id, 通过配置文件， 返回结果
    :param gh_id:
    :return:

    """
    msg_list = ACCOUNT_VIDEO[gh_id]
    response_list = []
    for msg in msg_list:
        item = {
            "groupIndex": msg['groupIndex'],
            "msgDataList": []
        }
        video_info_list = sorted(msg['groupVideoList'], key=lambda x: x['videoIndex'])
        for video in video_info_list:
            video_id = video['videoId']
            video_detail = get_pq_video_detail(video_id)['data'][0]
            obj = {
                "msgType": 1,
                "title": video_detail['title'],
                "coverUrl": video_detail['shareImgPath'],
                "miniAppId": "wxbdd2a2e93d9a6e25",
                "miniPagePath": video['pagePath'],
                "newsUrl": "",
                "newsDescription": "",
                "miniVideoId": video_id
            }
            item['msgDataList'].append(obj)
        article_obj = ARTICLE_URL[gh_id]
        item['msgDataList'].append(article_obj)
        response_list.append(item)
    return response_list
